--- guide.html.orig	2016-11-07 18:06:40.000000000 -0800
+++ guide.html	2016-11-27 22:36:55.824894400 -0800
@@ -364,8 +364,13 @@
         </div>
 
         <script type = "text/javascript">
+            var startHour = 4; // FIXME: load value from a setting
             var selectedShow = null;
             var selectedDate = new Date();
+            if (selectedDate.getHours() < startHour) {
+                // Switch to yesterday during the time before the start hour.
+                selectedDate.setDate(selectedDate.getDate() - 1);
+            }
 
             var startTime;
             var endTime;
@@ -516,9 +521,9 @@
                     loadDirs(false);
 
                     function GuideListing() {
-
+                        var startHour = 4; // FIXME: load value from a setting
                         var startDate = selectedDate;
-                        startDate.setHours(0, 0, 0, 0); // last midnight
+                        startDate.setHours(startHour, 0, 0, 0); // last midnight or other start hour
                         var startTime = startDate.getTime() / 1000;
                         var endTime = startTime + 86400 - 1;
 
@@ -528,7 +533,7 @@
 
 
                         //Populate the timeline headers
-                        var timeSlots = moment().set('hour', 0).set('minute', 0).set('second', 00);
+                        var timeSlots = moment().set('hour', startHour).set('minute', 0).set('second', 00);
                         var tHead = $('#time-container');
                         var tFoot = $('#time-container2');
                         tHead.empty();
@@ -593,7 +598,7 @@
                             var index = 0;
 
                             currentTime = (new Date()).getTime() / 1000;
-                            startDate.setHours(0, 0, 0, 0); // last midnight
+                            startDate.setHours(startHour, 0, 0, 0); // last midnight or other start hour
                             startTime = startDate.getTime() / 1000;
                             endTime = startTime + 86400 - 1;
                             var iconURL = "";
@@ -902,7 +907,8 @@
                     $('#footerContainer').removeAttr('style');
 
                     // scroll to current time of day 
-                    var currentTimeInSeconds2 = ((new Date()).getHours() * 60);
+                    var startHour = 4; // FIXME: load value from a setting
+                    var currentTimeInSeconds2 = (((new Date()).getHours() + 24 - startHour) % 24) * 60;
                     $("#timeline-time").scrollLeft((currentTimeInSeconds2 * 4));
 
                     if (document.documentMode) {
